package com.ruoyi.finance.excel;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 入库导出
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class Contrast {
    private static final long serialVersionUID = 1L;

    /**
     * 系统编号
     */
    @Excel(name = "系统编号")
    private String fBillno;


    /**
     * 货权方
     */
    @Excel(name = "货权方")
    private String fCtrlcorpid;

    /**
     * 结算单位
     */
    @Excel(name = "结算单位")
    private String fCorpidName;

    /**
     * 入（出）库日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "账单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fAccbilldate;


    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String tMblno;


    /**
     * 金额
     */
    @Excel(name = "金额")
    private Float fAmtdr;

    /**
     * 对账金额
     */
    @Excel(name = "对账金额")
    private Float fAmtcr;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String fRemarks;

    public String getfBillno() {
        return fBillno;
    }

    public void setfBillno(String fBillno) {
        this.fBillno = fBillno;
    }

    public String getfCtrlcorpid() {
        return fCtrlcorpid;
    }

    public void setfCtrlcorpid(String fCtrlcorpid) {
        this.fCtrlcorpid = fCtrlcorpid;
    }

    public String getfCorpidName() {
        return fCorpidName;
    }

    public void setfCorpidName(String fCorpidName) {
        this.fCorpidName = fCorpidName;
    }

    public Date getfAccbilldate() {
        return fAccbilldate;
    }

    public void setfAccbilldate(Date fAccbilldate) {
        this.fAccbilldate = fAccbilldate;
    }

    public String gettMblno() {
        return tMblno;
    }

    public void settMblno(String tMblno) {
        this.tMblno = tMblno;
    }

    public Float getfAmtdr() {
        return fAmtdr;
    }

    public void setfAmtdr(Float fAmtdr) {
        this.fAmtdr = fAmtdr;
    }

    public Float getfAmtcr() {
        return fAmtcr;
    }

    public void setfAmtcr(Float fAmtcr) {
        this.fAmtcr = fAmtcr;
    }

    public String getfRemarks() {
        return fRemarks;
    }

    public void setfRemarks(String fRemarks) {
        this.fRemarks = fRemarks;
    }
}
